package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

public enum SubStateEnum implements IIntegerEnum {
    RECEIVE(0, "接收"),
    START(1, "启动"),
    ERROR(2, "异常"),
    DELAY(3, "推迟"),
    COMPLETE(4, "完成"),
    CANCEL(5, "作废"),
    ;

    private Integer value;
    private String display;

    SubStateEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }
}
